Details in batch

Get details of multiple releases in one request.

In the request, releases are identified by release id. There will be one release in the response for every corresponding valid id in the request, and the releases will be in the same order as the requested ids. Releases that are not valid for any reason are omitted from the releases list in the response. They will be included in the errors list, in order, if showErrors is set true.

Example request

GET https://api.7digital.com/1.2/release/details/batch?releaseids=1402123,1402130,1402124,1402125&showerrors=true&oauth_consumer_key=YOUR_KEY_HERE&country=GB&usageTypes=download,subscriptionstreaming,adsupportedstreaming

Example response

{
  "items": {
    "releases": [
      {
        "id": 1402123,
        "title": "The Dark Side Of The Moon",
        "version": "2011 Remastered Version [Explicit]",
        "type": "Album",
        "barcode": "5099902984056",
        "year": 2011,
        "explicitContent": true,
        "artist": {
          "id": 447,
          "name": "Pink Floyd",
          "appearsAs": "Pink Floyd",
          "slug": "pink-floyd",
          "image": "http://artwork-cdn.7static.com/static/img/artistimages/00/000/004/0000000447_150.jpg",
          "isPlaceholderImage": true
        },
        "slug": "the-dark-side-of-the-moon-2011-remastered-version-explicit-1402123",
        "cline": "2016 Pink Floyd Music Ltd.",
        "pline": "2016 Pink Floyd Music Ltd., marketed and distributed by Parlophone Records Ltd., a Warner Music Group Company",
        "image": "http://artwork-cdn.7static.com/static/img/sleeveart/00/014/021/0001402123_50.jpg",
        "label": {
          "id": 547130,
          "name": "Pink Floyd Records"
        },
        "licensor": {
          "id": 18,
          "name": "Warner"
        },
        "popularity": 0.0,
        "duration": 2565,
        "trackCount": 10,
        "download": {
          "releaseDate": "2011-09-25T23:00:00Z",
          "packages": [
            {
              "id": 2,
              "description": "Standard",
              "price": {
                "currencyCode": "GBP",
                "sevendigitalPrice": "9.49",
                "recommendedRetailPrice": "9.49"
              },
              "formats": [
                {
                  "id": 17,
                  "description": "MP3 320"
                }
              ]
            },
            {
              "id": 9,
              "description": "Premium",
              "price": {
                "currencyCode": "GBP",
                "sevendigitalPrice": "12.49",
                "recommendedRetailPrice": "12.49"
              },
              "formats": [
                {
                  "id": 45,
                  "description": "FLAC 16-bit 44.1kHz"
                }
              ]
            }
          ]
        },
        "subscriptionStreaming": {
          "releaseDate": "2011-09-25T23:00:00Z"
        }
      },
      {
        "id": 1402130,
        "title": "The Wall",
        "version": "2011 Remastered Version",
        "type": "Album",
        "barcode": "5099902985152",
        "year": 2011,
        "explicitContent": false,
        "artist": {
          "id": 447,
          "name": "Pink Floyd",
          "appearsAs": "Pink Floyd",
          "slug": "pink-floyd",
          "image": "http://artwork-cdn.7static.com/static/img/artistimages/00/000/004/0000000447_150.jpg",
          "isPlaceholderImage": true
        },
        "slug": "the-wall-2011-remastered-version-1402130",
        "cline": "2016 Pink Floyd Music Ltd.",
        "pline": "2016 Pink Floyd Music Ltd., marketed and distributed by Parlophone Records Ltd., a Warner Music Group Company",
        "image": "http://artwork-cdn.7static.com/static/img/sleeveart/00/014/021/0001402130_50.jpg",
        "label": {
          "id": 547130,
          "name": "Pink Floyd Records"
        },
        "licensor": {
          "id": 18,
          "name": "Warner"
        },
        "popularity": 0.0,
        "duration": 4814,
        "trackCount": 26,
        "download": {
          "releaseDate": "2011-09-25T23:00:00Z",
          "packages": [
            {
              "id": 2,
              "description": "Standard",
              "price": {
                "currencyCode": "GBP",
                "sevendigitalPrice": "15.49",
                "recommendedRetailPrice": "15.49"
              },
              "formats": [
                {
                  "id": 17,
                  "description": "MP3 320"
                },
                {
                  "id": 33,
                  "description": "AAC 320"
                }
              ]
            },
            {
              "id": 9,
              "description": "Premium",
              "price": {
                "currencyCode": "GBP",
                "sevendigitalPrice": "19.99",
                "recommendedRetailPrice": "19.99"
              },
              "formats": [
                {
                  "id": 45,
                  "description": "FLAC 16-bit 44.1kHz"
                }
              ]
            }
          ]
        },
        "subscriptionStreaming": {
          "releaseDate": "2011-09-25T23:00:00Z"
        }
      },
      {
        "id": 1402124,
        "title": "Wish You Were Here [2011 - Remaster]",
        "version": "2011 Remastered Version",
        "type": "Album",
        "barcode": "5099902984452",
        "year": 2011,
        "explicitContent": false,
        "artist": {
          "id": 447,
          "name": "Pink Floyd",
          "appearsAs": "Pink Floyd",
          "slug": "pink-floyd",
          "image": "http://artwork-cdn.7static.com/static/img/artistimages/00/000/004/0000000447_150.jpg",
          "isPlaceholderImage": true
        },
        "slug": "wish-you-were-here-2011-remaster-2011-remastered-version-1402124",
        "cline": "2016 Pink Floyd Music Ltd.",
        "pline": "2016 Pink Floyd Music Ltd., marketed and distributed by Parlophone Records Ltd., a Warner Music Group Company",
        "image": "http://artwork-cdn.7static.com/static/img/sleeveart/00/014/021/0001402124_50.jpg",
        "label": {
          "id": 547130,
          "name": "Pink Floyd Records"
        },
        "licensor": {
          "id": 18,
          "name": "Warner"
        },
        "popularity": 0.0,
        "duration": 2634,
        "trackCount": 5,
        "download": {
          "releaseDate": "2011-09-25T23:00:00Z",
          "packages": [
            {
              "id": 2,
              "description": "Standard",
              "price": {
                "currencyCode": "GBP",
                "sevendigitalPrice": "9.49",
                "recommendedRetailPrice": "9.49"
              },
              "formats": [
                {
                  "id": 17,
                  "description": "MP3 320"
                }
              ]
            },
            {
              "id": 9,
              "description": "Premium",
              "price": {
                "currencyCode": "GBP",
                "sevendigitalPrice": "12.49",
                "recommendedRetailPrice": "12.49"
              },
              "formats": [
                {
                  "id": 45,
                  "description": "FLAC 16-bit 44.1kHz"
                }
              ]
            }
          ]
        },
        "subscriptionStreaming": {
          "releaseDate": "2011-09-25T23:00:00Z"
        }
      },
      {
        "id": 1402125,
        "title": "Animals",
        "version": "2011 Remastered Version",
        "type": "Album",
        "barcode": "5099902984551",
        "year": 2011,
        "explicitContent": false,
        "artist": {
          "id": 447,
          "name": "Pink Floyd",
          "appearsAs": "Pink Floyd",
          "slug": "pink-floyd",
          "image": "http://artwork-cdn.7static.com/static/img/artistimages/00/000/004/0000000447_150.jpg",
          "isPlaceholderImage": true
        },
        "slug": "animals-2011-remastered-version-1402125",
        "cline": "2016 Pink Floyd Music Ltd.",
        "pline": "2016 Pink Floyd Music Ltd., marketed and distributed by Parlophone Records Ltd., a Warner Music Group Company",
        "image": "http://artwork-cdn.7static.com/static/img/sleeveart/00/014/021/0001402125_50.jpg",
        "label": {
          "id": 547130,
          "name": "Pink Floyd Records"
        },
        "licensor": {
          "id": 18,
          "name": "Warner"
        },
        "popularity": 0.0,
        "duration": 2500,
        "trackCount": 5,
        "download": {
          "releaseDate": "2015-09-06T23:00:00Z",
          "packages": [
            {
              "id": 2,
              "description": "Standard",
              "price": {
                "currencyCode": "GBP",
                "sevendigitalPrice": "8.49",
                "recommendedRetailPrice": "8.49"
              },
              "formats": [
                {
                  "id": 17,
                  "description": "MP3 320"
                }
              ]
            },
            {
              "id": 9,
              "description": "Premium",
              "price": {
                "currencyCode": "GBP",
                "sevendigitalPrice": "10.99",
                "recommendedRetailPrice": "10.99"
              },
              "formats": [
                {
                  "id": 45,
                  "description": "FLAC 16-bit 44.1kHz"
                }
              ]
            }
          ]
        },
        "subscriptionStreaming": {
          "releaseDate": "2011-09-25T23:00:00Z"
        }
      }
    ],
    "errors": []
  }
}

Specific Error Codes

  • HTTP: 1001 - Required parameter releaseIds is missing. You must supply a value for the releaseIds parameter.
  • HTTP: 1002 - Invalid value for parameter releaseIds. You must supply a comma-separated list of release ids.
Query Params
string
required

Contains a comma-separated list of release ids. Maximum of 500 items.

string

Contains a comma-separated list of package ids. When specified, only releases that have one of the specified packages will be returned. Used to filter searches to releases that have at least one high quality format. Package ids are listed here.

This parameter only takes effect when using 'usageTypes=download', and is otherwise ignored.

string
required

ISO 2-character code of the country the end user resides in.

boolean

When set true, the errors element is shown in the output, containing a list of errors. There will be one error for each release that could not be shown in the releases list. The Itemid on the error shows which release it relates to. The code and message relates to the reason why the release could not be shown.

string
required

Only use the usageTypes you need, e.g. download, subscriptionstreaming or adsupportedstreaming.

string

When set, only releases with the matching type value ("Album" or "single") will be returned. If not set, then all will be returned.

int32

The requested width of the image in pixels. Available image sizes are listed here.

Language
LoadingLoading…